# FORCE_EFI_BOOT

echo -off
# +
# + ============================================================== +
#  Copyright (c) 2018, Intel Corporation.

#  This source code and any documentation accompanying it ("Material") is furnished
#  under license and may only be used or copied in accordance with the terms of that
#  license.  No license, express or implied, by estoppel or otherwise, to any
#  intellectual property rights is granted to you by disclosure or delivery of these
#  Materials.  The Materials are subject to change without notice and should not be
#  construed as a commitment by Intel Corporation to market, license, sell or support
#  any product or technology.  Unless otherwise provided for in the license under which
#  this Material is provided, the Material is provided AS IS, with no warranties of
#  any kind, express or implied, including without limitation the implied warranties
#  of fitness, merchantability, or non-infringement.  Except as expressly permitted by
#  the license for the Material, neither Intel Corporation nor its suppliers assumes
#  any responsibility for any errors or inaccuracies that may appear herein.  Except
#  as expressly permitted by the license for the Material, no part of the Material
#  may be reproduced, stored in a retrieval system, transmitted in any form, or
#  distributed by any means without the express written consent of Intel Corporation.

#  Module Name:  Startup.nsh

#  Abstract:  UEFI Script file for invoking system software updates for 
#  Intel(R) Server Board S2600WF Family.

# + ============================================================== +
#    Program all blocks of BIOS from capsule file 
# + ============================================================== +

@echo -off
mode 80 25
;foundimage section is simply to locate the correct drive
cls
if exist .\ipmi.efi then
 goto FOUNDIMAGE
endif
if exist fs0:\ipmi.efi then
 fs0:
 echo Found Update Packages on fs0:
 goto FOUNDIMAGE
endif
if exist fs1:\ipmi.efi then
 fs1:
 echo Found Update Packages on fs1:
 goto FOUNDIMAGE
endif
if exist fs2:\ipmi.efi then
 fs2:
 echo Found Update Packages on fs2:
 goto FOUNDIMAGE
endif
 echo "Unable to find Update Packages".  
 echo "Please mount the drive with the update package".
 echo ""
 goto END
:FOUNDIMAGE



echo "================================================================================"
echo " "
echo "This utility will update the BMC firmware, system BIOS, ME firmware, FD and FRUSDR"
echo " "
echo "      - Intel(R) Server Board S2600WF Family"
echo " "
echo "If you have not read the Readme and Update Instructions,"
echo "it is highly advisable you do that before continuing with this update."
echo " "
echo "During the full update process, the system will reboot several times."
echo "Do NOT power off the system or remove the USB flash drive at any time during"
echo "this process. Doing so may render your system inoperable."
echo " "
echo "Please make sure no *pass.txt exist in USB key before starting update process"
echo "================================================================================"

# Notification
     echo " Checking your current code levels for compatibility with this SUP. "
     echo " .............................Please wait......................................"
     echo "Reading Current FW on board..."
     iflash32.efi -i

echo " "
echo "See the Readme and Update Instructions file for additional information."
echo " "
#//vv
#pause



:A
if exist BMC_pass.txt then 
	
	if exist BIOS_pass.txt then 
		
			if exist ME_pass.txt then 
				
				if exist FD_pass.txt then 
					del BMC_pass.txt
					del BIOS_pass.txt
					del ME_pass.txt
					del FD_pass.txt
				
					goto FRUSDR
				
				else
					goto FD
					endif
			
			else 
				goto ME
				endif
	
	else 
		goto BIOS
		endif
		
else
	goto BMC
endif



:BMC
echo " "
#//vv
echo "Acer Smart console is being updated."
fwpiaupd.efi -ni -u -pia Acer_F4_EWS.bin
#//vv
echo "==============================================================================="
echo "Continuing BMC firmware update......"
echo "DO NOT remove the USB flash drive"
echo " "
echo " "


fwUpdateBMC.nsh

echo " "
echo "BMC Firmware update has completed" > BMC_pass.txt
echo " "




stall 10000000
#reset
goto A


:BIOS
cls
echo " "
echo "==============================================================================="
echo "Continuing system BIOS update......"
echo "DO NOT remove the USB flash drive"
echo " "
echo " "

updBios.nsh

echo " "
echo "BIOS Firmware update has completed" > BIOS_pass.txt
echo " "
#iflash32.efi -rd


stall 10000000
goto A
# reset

:ME
cls
echo " "
echo "==============================================================================="
echo "Continuing ME firmware update......"
echo "DO NOT remove the USB flash drive"
echo " "
echo "==============================================================================="
echo " "
echo " "

UpdMe.nsh

echo " "
echo "ME firmware update has completed" > ME_pass.txt
echo " "
echo

stall 10000000
goto A
# reset


:FD
cls
echo " "
echo "==============================================================================="
echo "Continuing Flash Descriptor update......"
echo "DO NOT remove the USB flash drive"
echo " "
echo " "

updFD.nsh

echo " "
echo "Flash Descriptor update has completed" > FD_pass.txt
echo " "
echo "==============================================================================="
echo "DO NOT remove the USB flash drive"
echo " "
echo "==============================================================================="

stall 10000000
goto A
# reset


:FRUSDR
cls
echo " "
echo "==============================================================================="
echo "Continuing System FRUSDR data update......"
echo "DO NOT remove the USB flash drive"
echo " "
echo " "

updS2600WF.nsh

echo " "
echo "System FRU & SDR data have successfully been updated"
echo " "
# //vv
echo " "
echo "Update LAN MAC address into FRU Extra Field"
frumac.nsh
#echo "Enable BMC user"
#syscfg.efi /ue 2 enable 1
#echo "Setting password"
#syscfg.efi /u 2 root superuser
#echo "Setting Privilege"
#syscfg.efi /up 2 1 admin
@echo "Enable BMC user"
cmdtool.efi 20 18 45 02 72 6F 6F 74 00 00 00 00 00 00 00 00 00 00 00 00
@echo "Setting password"
cmdtool.efi 20 18 47 02 02 73 75 70 65 72 75 73 65 72 00 00 00 00 00 00 00
@echo "enable root"
cmdtool.efi 20 18 47 02 01
@echo "set user access -- channel 1 user ID 2 user priviledge administrator"
cmdtool.efi 20 18 43 91 02 04 00
@echo "set user access -- channel 2 user ID 2 user priviledge administrator"
cmdtool.efi 20 18 43 92 02 04 00
@echo "set user access -- channel 3 user ID 2 user priviledge administrator"
cmdtool.efi 20 18 43 93 02 04 00
@echo "set channel access"
cmdtool.efi 20 18 40 03 82 84
@echo "set lan configuration parameter"
cmdtool.efi 20 30 01 03 02 14 14 14 14 00		
# //vv
:final
echo " "
echo "============================================================"
echo "All system updates have now completed"
echo " "
echo "Please note that this update process will raise the "
echo "log for BMC/BIOS/ME/FD flash"
echo "You can now remove the USB Key and reboot the system. During POST access the"
echo "BIOS Setup utility <f2> to confirm all updates have installed properly."
# //vv
echo "============================================================"
echo " "
frusdr.efi -d fru
# //vv
:END
 